Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const MAX_FIND_LEN = 250

Public Const TEMP_FILE_NAME = "conceptParsers"

' Markup color
Public Enum TColor
  [_First] = 1
  
  T_COLOR_YELLOW = 1 ' = 7
  T_COLOR_GREEN = 2 ' = 4
  T_COLOR_TEAL = 3 ' = 10
  T_COLOR_GREY = 4 ' = 15
  T_COLOR_BLUE = 5 ' = 9
  
  [_Last] = 5
End Enum

' _E_ - export
Public Enum ExportStruct
  [_First] = 1
    
  S_E_ID = 1
  S_E_START = 2
  S_E_FINISH = 3
  S_E_TYPE = 4
  S_E_TEXT = 5
  S_E_DATA = 6
  
  [_Last] = 6
End Enum

Public Function ColorToStr(iColor As TColor) As String
  Select Case iColor
  Case T_COLOR_YELLOW: ColorToStr = ""
  Case T_COLOR_GREEN: ColorToStr = ""
  Case T_COLOR_TEAL: ColorToStr = ""
  Case T_COLOR_GREY: ColorToStr = ""
  Case T_COLOR_BLUE: ColorToStr = ""
  End Select
End Function

Public Function ColorToColorIndex(iColor As TColor) As Integer
  Select Case iColor
  Case T_COLOR_YELLOW: ColorToColorIndex = WdColorIndex.wdYellow
  Case T_COLOR_GREEN: ColorToColorIndex = WdColorIndex.wdBrightGreen
  Case T_COLOR_TEAL: ColorToColorIndex = WdColorIndex.wdTurquoise
  Case T_COLOR_GREY: ColorToColorIndex = WdColorIndex.wdGray25
  Case T_COLOR_BLUE: ColorToColorIndex = WdColorIndex.wdBlue
  End Select
End Function

Public Function PTools() As PC_Tools
  Static s_Parsers As PC_Tools
  If s_Parsers Is Nothing Then
    Set s_Parsers = New PC_Tools
  End If
  Set PTools = s_Parsers
End Function

